DefaultJavaComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.component.DefaultJavaComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class DefaultJavaComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.component.AbstractJavaComponent
              org.mule.component.DefaultJavaComponent

All Implemented Interfaces:
  Component, JavaComponent, MuleContextAware, Interceptor, Disposable, Initialisable, Lifecycle, Startable, Stoppable

    public class DefaultJavaComponent

extends AbstractJavaComponent

Default implementation of `JavaComponent`. Component lifecycle is propagated to the component object instance via the `LifecycleAdapter`.

Field Summary
`protected LifecycleAdapter` | `singletonComponentLifecycleAdapter`

Fields inherited from class org.mule.component.AbstractJavaComponent
`bindingCollection, entryPointResolverSet, lifecycleAdapterFactory, objectFactory`

Fields inherited from class org.mule.component.AbstractComponent
`disposed, disposing, initialised, interceptors, logger, muleContext, notificationHandler, service, started, statistics, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultJavaComponent()`
`DefaultJavaComponent(ObjectFactory objectFactory)`
`DefaultJavaComponent(ObjectFactory objectFactory, EntryPointResolverSet entryPointResolverSet, BindingCollection bindingCollection)`

Method Summary
`protected LifecycleAdapter` | `borrowComponentLifecycleAdaptor()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`protected void` | `returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)`

Methods inherited from class org.mule.component.AbstractJavaComponent
`createLifeCycleAdaptor, doInitialise, doInvoke, getBindingCollection, getEntryPointResolverSet, getLifecycleAdapterFactory, getObjectFactory, getObjectType, invokeComponentInstance, setBindingCollection, setEntryPointResolvers, setEntryPointResolverSet, setLifecycleAdapterFactory, setObjectFactory`

Methods inherited from class org.mule.component.AbstractComponent
`checkDisposed, createResultMessage, dispose, fireComponentNotification, getInterceptors, getService, getStatistics, initialise, intercept, invoke, release, setInterceptors, setMuleContext, setService, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.component.Component
`getService, getStatistics, invoke, setService`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### singletonComponentLifecycleAdapter

    protected LifecycleAdapter singletonComponentLifecycleAdapter

Constructor Detail

### DefaultJavaComponent

    public DefaultJavaComponent()

### DefaultJavaComponent

    public DefaultJavaComponent(ObjectFactory objectFactory)

### DefaultJavaComponent

    public DefaultJavaComponent(ObjectFactory objectFactory,
                                EntryPointResolverSet entryPointResolverSet,
                                BindingCollection bindingCollection)

Method Detail

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractJavaComponent`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractComponent`
  Throws:
    `MuleException`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractJavaComponent`

### borrowComponentLifecycleAdaptor

    protected LifecycleAdapter borrowComponentLifecycleAdaptor()
                                                        throws Exception

  Specified by:
    `borrowComponentLifecycleAdaptor` in class `AbstractJavaComponent`
  Throws:
    `Exception`

### returnComponentLifecycleAdaptor

    protected void returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)
                                            throws Exception

  Specified by:
    `returnComponentLifecycleAdaptor` in class `AbstractJavaComponent`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.